<!-- <section class="bg-white tab-content pt-0 pb-0">
    <div class="tab-pane fade show active" id="general" role="tabpanel" aria-labelledby="general-tab">
        <div class="container container-trayecto">
            <div class="row align-items-start m-0">
                <div class="col-lg-5 order-lg-2 mb-4 mb-lg-0 sticky-lg-top pl-lg-5 p-0">
                    <div class="divider divider-side d-none d-lg-block transform-flip-y"></div>
                    <div #mapContainer id="mapa"></div>
                </div> -->
                

                    <div class="row mb-4">
                        <div class="col">
                            <h3>Aportación</h3>
                        </div>
                    </div>
                    <form id="form_trayecto">
                        <div id="container-form">
                            <div class="form-group mb-5">
                                <label for="" class="mb-4">Aportación por pasajero</label>
                                <p class="mensaje_rutaInvalid" id="price_invalid" style="display: none;">¡Trata de ingresar un monto en color verde para que consigas más reservas!</p>
                                <div class="row row-direccion" *ngFor="let lugar of ciudadesDePaso; let i = index;">
                                    <div class="col-md-8">
                                        <div class="row ruta-line">
                                            <div class="col-md-5 align-center">
                                               <span class="direccion-decoration" title="{{lugar.origen}}">{{lugar.origen}} </span> 
                                               
                                            </div>
                                            <div class="col-md-2 align-center">
                                                <i style="float: right;
                                                margin: 0.29rem 0px;" class="fas fa-long-arrow-alt-right"></i>
                                            </div>
                                            
                                            <div class="col-md-5 align-center">
                                                <span class="direccion-decoration" title="{{lugar.destino}}">{{lugar.destino}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4 align-center">
                                        <div class="form-group form-spinner" style="margin:0px"> 
                                            <div class="spinner-control">
                                                <input type="text" class="form-control price-valid" id="{{i}}_price" (keyup)="changePrice($event)" data-type="number" step="1"
                                                    max="5" min="1" value="{{calcularCostoViajePorDistancia(lugar.distancia)}}">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <hr *ngIf="ciudadesDePaso.length>0">
                                <div class="row ">
                                    <div class="col-md-8">
                                        <div class="row ruta-line">
                                            <div class="col-md-5 align-center">
                                                <span class="direccion-decoration" title="{{viaje_obj.lugarOrigen}}"> {{viaje_obj.lugarOrigen}} </span>
                                            </div>
                                            <div class="col-md-2 align-center">
                                                <i style="float: right;
                                                margin: 0.29rem 0px;" class="fas fa-long-arrow-alt-right"></i>
                                            </div>
                                            <div class="col-md-5 align-center">
                                                <span class="direccion-decoration" title="{{viaje_obj.lugarDestino}}">  {{viaje_obj.lugarDestino}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4 align-center">
                                        <div class="form-group form-spinner" style="margin:0px">
                                            <div class="spinner-control">
                                                <input type="text" class="form-control price-valid costo-unitario" id="0_price"  (keyup)="changePrice($event)" data-type="number" step="1"
                                                    max="5" min="1" value="{{viaje_obj.costoTotalViaje}}">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group mb-5">
                                <label for="">Plazas disponibles</label>
                                <select class="custom-select custom-select-sm" id="id_plaza_cant">
                                    <option value="{{plaza}}" *ngFor="let plaza of plazas">
                                        {{plaza}}
                                    </option>
                                </select>
                            </div>
                            <div class="form-group mb-5">
                                <label for="">Tamaño de equipajes</label>
                                <div class="row">
                                    <div class="col-md-12 equipajes-sizes">
                                        <i class="fas fa-suitcase-rolling pack-1 selected-size sizes"
                                            (click)="selectSize(1)"></i>
                                        <i class="fas fa-suitcase-rolling pack-2 sizes" (click)="selectSize(2)"></i>
                                        <i class="fas fa-suitcase-rolling pack-3 sizes" (click)="selectSize(3)"></i>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group  mb-5">
                                <label for="" class="mb-4">Recomendaciones</label>
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-3" checked>
                                    <label class="custom-control-label" for="check-3" style="    font-weight: 700;">Máx.
                                        dos personas en el asiento trasero
                                        <p style="font-size: 13px;font-weight: 600;">Al seleccionar la casilla, se
                                            habilitarán solo dos
                                            lugares en el asiento trasero de su vehiculo teniendo asi más comodidad para
                                            los pasajeros</p></label>

                                </div>
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-2" checked>
                                    <label class="custom-control-label" for="check-2" style="    font-weight: 700;">
                                        Permitir solicitudes de trayectos parciales en cualquier lugar de la ruta
                                        <p style="font-size: 13px;font-weight: 600;margin:0px">
                                            Además de las ciudades de paso, establecidas por ti, el pasajero podrá
                                            sugerir otros lugares de recogida.</p></label>

                                </div>

                            </div>
                            <div class="form-group mb-5">
                                <label>
                                    Desvío</label>
                                <select class="custom-select custom-select-sm" id="id_desvio">
                                    <option value="1">
                                        Sin desvío
                                    </option>
                                    <option value="2" selected>
                                        Máx. 5 minutos de mi ruta
                                    </option>
                                    <option value="3">
                                        Máx. 15 minutos de mi ruta
                                    </option>
                                    <option value="4">
                                        Soy flexible
                                    </option>
                                </select>
                                <p style="font-size: 13px;font-weight: 600;margin-top: 10px;">
                                    Permite a los pasajeros que sepan cúanto estarías dispuesto a desviarte del lugar de
                                    salida para recogerlos o del de llegada para dejarlos.</p>

                            </div>
                            <div class="form-group">
                                <label for="">Datos adicionales</label>
                                <textarea id="bio" rows="6" class="form-control" id="id_datosAdicionales"
                                    placeholder="¿Tienes flexibilidad sobre el lugar y el momento de recogida? ¿No vas a viajar por autopista o autovía? ¿Tu maletero es pequeño? ¡No olvides mantener informados a los pasajeros!"></textarea>
                                    <p style="font-size: 13px;font-weight: 600;margin-top:10px"> No escribas tus datos de contacto. Los pasajeros que reserven recibirán tu móvil.
                                </p>
                            </div>
                        </div>
                    </form>
                    <div style="    display: flex;
                    justify-content: flex-end;"> 
                        <a (click)="redirectForm()" style="padding: 12px 30px;" class="enlace-later"> <i
                                class="fas fa-arrow-left"></i> Volver</a>
                        <button class="btn btn-primary" style="float:right" type="button"
                            (click)="getAllData()">Siguiente
                        </button>
                    </div>


            <!-- </div>

        </div>
    </div>

</section> -->